#language: ru

@MovingProductsRLS

Функционал: 002. MovingProductsRLS. Дозаполнение данных для номенклатуры

Сценарий: 002.1. MovingProductsRLS. Заполнение единиц измерения

	Дано Я подключаюсь под "Ведение номенклатуры"
	Дано я устанавливаю текущему сеансу заголовок приложения "17.002. РЛС Перемещения товаров"
	И Я заполняю константы Единицы измерения

Сценарий: 002.2. MovingProductsRLS. Создание серий номенклатуры

	Дано я удаляю объекты "Справочники.к2СерииНоменклатуры" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	* Создание серии для сыра Адыгейского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'   |
			| 'Сыр Адыгейский' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И Я закрываю окно 'Сыр Адыгейский (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 002.3. MovingProductsRLS. Завершение

	И я закрываю сеанс TESTCLIENT